Summary: Window Maker Sound Preferences
Name: WSoundPrefs
Version: 0.9.3
Release: 2
Source: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/WSoundPrefs-0.9.3.tar.gz
Copyright: GPL
Group: X11/Window Managers/Tools
Icon: WSoundPrefs.gif
Patch: WSoundPrefs-0.9.3_config.patch
URL: http://shadowmere.student.utwente.nl/wmss/
Requires: WindowMaker wmsound
Provides: WSoundPrefs
Packager: Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>

%description
WSoundPrefs is a WINGs-based application to configure the Window Maker
Sound Server (WMSound). It is actually a replacement of the Author's older
program called WMSound Setup (aka wmss). Basically it provides the following
options: 
- Which sound to play on which sound-event 
- Which sound-device to use 
- What are the search-paths for Sounds and SoundSets 
- Loading and Saving of Soundsets 

(My first RPM:)

%prep
%setup
%patch -p1
%build
xmkmf -a

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog COPYING INSTALL
%dir /usr/share/GNUstep/WSoundPrefs.app/
/usr/share/GNUstep/WSoundPrefs.app/WSoundPrefs
/usr/share/GNUstep/WSoundPrefs.app/WSoundPrefs.xpm
/usr/share/GNUstep/WSoundPrefs.app/WSoundPrefs.tiff
%dir /usr/share/GNUstep/WSoundPrefs.app/xpm/
/usr/share/GNUstep/WSoundPrefs.app/xpm/events.xpm
/usr/share/GNUstep/WSoundPrefs.app/xpm/paths.xpm
/usr/share/GNUstep/WSoundPrefs.app/xpm/loadset.xpm
/usr/share/GNUstep/WSoundPrefs.app/xpm/saveset.xpm
%dir /usr/share/GNUstep/WSoundPrefs.app/tiff/
/usr/share/GNUstep/WSoundPrefs.app/tiff/events.tiff
/usr/share/GNUstep/WSoundPrefs.app/tiff/paths.tiff
/usr/share/GNUstep/WSoundPrefs.app/tiff/loadset.tiff
/usr/share/GNUstep/WSoundPrefs.app/tiff/saveset.tiff

%changelog

* Thu Mar 18 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
[0.9.3-2]
- added directories for a cleaner uninstall

* Thu Mar 18 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
[0.9.3-1]
- Initial release for WSoundPrefs-0.9.3-1
